lwIP 2.1.2 Lightweight IP stack

Data Fields
netif_ext_callback_args_t::ipv6_addr_state_changed_s Struct Reference

`#include <netif.h>`

## Data Fields
s8_t | addr_index
u8_t | old_state
const ip_addr_t * | address

## Detailed Description

Args to LWIP_NSC_IPV6_ADDR_STATE_CHANGED callback

## Field Documentation

## ◆ addr_index

s8_t netif_ext_callback_args_t::ipv6_addr_state_changed_s::addr_index

Index of affected IPv6 address

## ◆ address

const ip_addr_t* netif_ext_callback_args_t::ipv6_addr_state_changed_s::address

Affected IPv6 address

## ◆ old_state

u8_t netif_ext_callback_args_t::ipv6_addr_state_changed_s::old_state

Old IPv6 address state

The documentation for this struct was generated from the following file:

- src/include/lwip/netif.h